Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl
Class ProtegeOWL

    java.lang.Object
      edu.stanford.smi.protegex.owl.ProtegeOWL

    public class ProtegeOWL

extends Object

A singleton that provides several generic services such as creating new OWLModels.

Author:
  Holger Knublauch

Field Summary
`static String` | `PLUGIN_FOLDER` The name of the OWL Plugin folder (subfolder of the plugins directory)

Constructor Summary
`ProtegeOWL()`

Method Summary
`static JenaOWLModel` | `createJenaOWLModel()` Creates a new, empty JenaOWLModel.
`static JenaOWLModel` | `createJenaOWLModelFromInputStream(InputStream is)`
`static JenaOWLModel` | `createJenaOWLModelFromReader(Reader reader)`
`static JenaOWLModel` | `createJenaOWLModelFromURI(String uri)`
`static File` | `getPluginFolder()` Gets the plugin folder, which is the subfolder plugins/edu.stanford.smi.protegex.owl of the application's starting directory.
`static void` | `initProject(edu.stanford.smi.protege.model.Project project, String owlFilePath, String language)` Initializes a Project so that it points to an existing OWL file.
`static void` | `main(String[] args)` Starts the Protege UI, optionally with a given Project file.
`static void` | `setPluginFolder(File customPluginFolder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_FOLDER

    public static String PLUGIN_FOLDER

  The name of the OWL Plugin folder (subfolder of the plugins directory)

Constructor Detail

### ProtegeOWL

    public ProtegeOWL()

Method Detail

### createJenaOWLModel

    public static JenaOWLModel createJenaOWLModel()
                                           throws edu.stanford.smi.protege.exception.OntologyLoadException

  Creates a new, empty JenaOWLModel.

  Returns:
    a new OWLModel
  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### createJenaOWLModelFromInputStream

    public static JenaOWLModel createJenaOWLModelFromInputStream(InputStream is)
                                                          throws edu.stanford.smi.protege.exception.OntologyLoadException

  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### createJenaOWLModelFromReader

    public static JenaOWLModel createJenaOWLModelFromReader(Reader reader)
                                                     throws edu.stanford.smi.protege.exception.OntologyLoadException

  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### createJenaOWLModelFromURI

    public static JenaOWLModel createJenaOWLModelFromURI(String uri)
                                                  throws edu.stanford.smi.protege.exception.OntologyLoadException

  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### getPluginFolder

    public static File getPluginFolder()

  Gets the plugin folder, which is the subfolder plugins/edu.stanford.smi.protegex.owl of the application's starting directory.

  Returns:
    the plugin folder

### setPluginFolder

    public static void setPluginFolder(File customPluginFolder)

### initProject

    public static void initProject(edu.stanford.smi.protege.model.Project project,
                                   String owlFilePath,
                                   String language)

  Initializes a Project so that it points to an existing OWL file. This is typically used in conjunction with the `createJenaOWLModel()` methods to create and save a new project. The resulting project can then be loaded into a Protege UI using the main method.

  Parameters:
    `project` -
    `owlFilePath` -
    `language` -

### main

    public static void main(String[] args)

  Starts the Protege UI, optionally with a given Project file.

  Parameters:
    `args` - the first String may be the name of a .pprj file

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.